Developer Documentation

Classes | Public Member Functions | Protected Member Functions | Private Types | Private Slots | Private Attributes | Static Private Attributes | List of all members
TextBrowserWidget Class Reference
Inheritance diagram for TextBrowserWidget:

## Classes
struct | Fold

## Public Member Functions
| TextBrowserWidget (QWidget *parent=0)
void | sideAreaPaintEvent (QPaintEvent *event)
int | sideAreaWidth ()

## Protected Member Functions
void | resizeEvent (QResizeEvent *event)
virtual void | mouseDoubleClickEvent (QMouseEvent *e)

## Private Types
enum | FoldType { SHADER, RENDEROBJECT }

## Private Slots
void | updateTextBrowserSideAreaWidth ()
void | updateTextBrowserSideArea (const QRect &, int)
void | foldAll ()
void | unfoldAll ()
void | fold (Fold &_fold)
void | unfold (Fold &_fold)
void | toggleFold (int _position)
void | updateFolds ()
bool | getFold (int _position, Fold &_fold)
| get the _fold corresponding to the document _position More...

## Private Attributes
TextBrowserSideArea * | sideArea_
std::vector< Fold > | folds_
std::map< int, size_t > | blockPosToFold_
| maps positions in the document to indices in folds_

## Static Private Attributes
static QString const | startRenderObjectTag_ = "name:"
static QString const | startVertexShaderTag_ = "--vertex-shader--"
static QString const | endVertexShaderTag_ = "--end-vertex-shader--"
static QString const | startTessControlShaderTag_ = "---tesscontrol-shader--"
static QString const | endTessControlShaderTag_ = "--end-tesscontrol-shader--"
static QString const | startTessEvalShaderTag_ = "--tesseval-shader--"
static QString const | endTessEvalShaderTag_ = "--end-tesseval-shader--"
static QString const | startGeometryShaderTag_ = "--geometry-shader--"
static QString const | endGeometryShaderTag_ = "--end-geometry-shader--"
static QString const | startFragmentShaderTag_ = "--fragment-shader--"
static QString const | endFragmentShaderTag_ = "--end-fragment-shader--"

## Detailed Description

Definition at line 52 of file TextBrowserWidget.hh.

## Member Function Documentation

## ◆ getFold

bool TextBrowserWidget::getFold | ( | int | _position,
|  | Fold & | _fold
| ) |  |
| private slot

get the _fold corresponding to the document _position

Parameters

  _position | position in the document
  _fold | fold in folds at the position if found

Returns
  true if fold was found (otherwise false is returned)

Definition at line 167 of file TextBrowserWidget.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/rendererWidget/TextBrowserWidget.hh
- OpenFlipper/widgets/rendererWidget/TextBrowserWidget.cc